Query Available Voice IDs

Query voice information under different categories, and get all voice IDs (voice_id) available for the current account, including system voices and voices generated by fast cloning.

POST/v1/audio/voices/query

Authorization

AuthorizationstringheaderRequired
HTTP: Bearer Auth

Request Header

Content-Typeenum<string>Default: application/jsonRequired

Request Body application/json

voice_typeenum<string>Required

Type of voice to query:
  • systemSystem predefined voice
  • voice_cloningFast cloned voice
  • voice_designDesigned voice
  • allAll types of voices

Response Body Structure

system_voicearray<object>

Array of system-predefined voice data, returns an empty array if no matching data

system_voice[i].voice_idstring

Unique identifier ID of the system voice

system_voice[i].descriptionarray<string>

Description information of the voice, including style, applicable scenarios, etc.

system_voice[i].voice_namestring

Chinese name of the voice

system_voice[i].languagearray<string>

Language of the voice

system_voice[i].dialectarray<string>

Dialects of the voice

voice_cloningarray<object>

Array of fast cloned voice data, returns an empty array if no matching data

voice_cloning[i].voice_idstring

Unique identifier ID of the fast cloned voice

voice_cloning[i].created_timestring

Creation time of the cloned voice

voice_designarray<object>

Array of designed voice data, returns an empty array if no matching data

voice_design[i].voice_idstring

Unique identifier ID of the designed voice

voice_design[i].descriptionarray<string>

Voice description (prompt) of the designed voice

voice_design[i].created_timestring

Creation time of the designed voice

base_respobject

Basic status information of this request

base_resp.status_codeinteger

Request status code, 0 indicates successful request

base_resp.status_msgstring

Request status description, success indicates successful request